# README.md

## Features

フェデレーションブローカーは以下の2つの機能を持っています
* ID連携(Relying Party)機能
* ID連携中継機能

## Getting Started

### Relying Partyの設定

FederationBroker.zip内のapp.jsを編集します

* ISSUER_IDENTIFIER => _OPの識別子_
* AUTHORIZATION_ENDPOINT => _OPの認可エンドポイント_
* TOKEN_ENDPOINT => _OPのTokenエンドポイント_
* USERINFO_ENDPOINT => _OPのUserinfoエンドポイント_
* CLIENT_ID => _RPのClient ID_
* CLIENT_SECRET => _RPのClient Secret_
* CALLBACK => _RPのRedirect URI_
* SCOPE => _リクエストするScope_
* modulus => _公開鍵のn_
* exponent => _公開鍵のe_

### AWS Accountの設定

FederationBroker.zip内のindex.jsを編集します

* AWS_ACCOUNT => _AWSアカウントを示す12桁のID_

### インストール・起動

必要なモジュールをインストールします

```
npm install
```

フェデレーションブローカーを起動します

```
npm start

```

## Links

[第二回 OpenID Providerの実装例](https://www.ogis-ri.co.jp/otc/hiroba/technical/openid-connect/chap2.html)
[第三回 Relying Party の実装例](https://www.ogis-ri.co.jp/otc/hiroba/technical/openid-connect/chap3.html)

## Copyright

Copyright (C) 2016 OGIS-RI Co., Ltd.

This software is released under the MIT License.
http://opensource.org/licenses/mit-license.php

